Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputInlineQueryResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult

Direct Known Subclasses:
  `TdApi.InputInlineQueryResultAnimation`, `TdApi.InputInlineQueryResultArticle`, `TdApi.InputInlineQueryResultAudio`, `TdApi.InputInlineQueryResultContact`, `TdApi.InputInlineQueryResultDocument`, `TdApi.InputInlineQueryResultGame`, `TdApi.InputInlineQueryResultLocation`, `TdApi.InputInlineQueryResultPhoto`, `TdApi.InputInlineQueryResultSticker`, `TdApi.InputInlineQueryResultVenue`, `TdApi.InputInlineQueryResultVideo`, `TdApi.InputInlineQueryResultVoiceNote`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputInlineQueryResult extends TdApi.Object permits TdApi.InputInlineQueryResultAnimation, TdApi.InputInlineQueryResultArticle, TdApi.InputInlineQueryResultAudio, TdApi.InputInlineQueryResultContact, TdApi.InputInlineQueryResultDocument, TdApi.InputInlineQueryResultGame, TdApi.InputInlineQueryResultLocation, TdApi.InputInlineQueryResultPhoto, TdApi.InputInlineQueryResultSticker, TdApi.InputInlineQueryResultVenue, TdApi.InputInlineQueryResultVideo, TdApi.InputInlineQueryResultVoiceNote
This class is an abstract base class. Represents a single result of an inline query; for bots only.

## Constructor Summary

Constructors
Constructor
Description
`InputInlineQueryResult()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputInlineQueryResult

public InputInlineQueryResult()
Default class constructor.